﻿namespace FactPDA.Models
{
    /// <summary>
    /// 출고지시서조회
    /// </summary>
    public class MB060100 : BaseModel
    {
        // 추가영역
        public string EDIR_STDT { get; set; } // 출고지시일자-시작
        public string EDIR_ENDT { get; set; } // 출고지시일자-종료
        public string EOUT_STDT { get; set; } // 납품일자-시작
        public string EOUT_ENDT { get; set; } // 납품일자-종료
        public string EDIR_NO_SQ { get; set; } // 발주번호 + 순번 (조회용)
        public string FIND_VEND_NM { get; set; } // 발주번호 + 순번 (조회용)
        public decimal JAN { get; set; } // 미출고수량
        public int PRIA_SQ { get; set; } // 우선순위
        public string CORP_CLS { get; set; } // 회사구분
        public string CORP_CLS_NM { get; set; } // 회사구분명

        // 기본영역
        public string EDIR_NO { get; set; } // 출고지시번호
        public string EDIR_DT { get; set; } // 출고지시일자
        public string EDIR_TM_CLS { get; set; } // 출고시간
        public string EDIR_TM_CLS_NM { get; set; } // 출고시간명
        public string EDIR_CLS { get; set; } // 지시구분
        public string EDIR_CLS_NM { get; set; } // 지시구분명
        public string WACD { get; set; } // 창고코드
        public string WACD_NM { get; set; } // 창고코드명
        public string RWACD { get; set; } // 요청창고코드 (조인금지) 
        public string EDIR_ORG_NO { get; set; } // 지시부서코드
        public string EDIR_ORG_NM { get; set; } // 지시부서코드명
        public string EDIR_EMP_NO { get; set; } // 지시담당자
        public string EDIR_EMP_NM { get; set; } // 지시담당자명
        public string TRNS_EMP_NO { get; set; } // 출고담당자
        public string TRNS_EMP_NM { get; set; } // 출고담당자명
        public string EDIR_VEND_NO { get; set; } // 출고업체코드
        public string EDIR_VEND_NM { get; set; } // 출고업체코드명
        public string REGN_CLS { get; set; } // 지역구분
        public string REGN_CLS_NM { get; set; } // 지역구분명
        public string EMET_CLS { get; set; } // 납품방법구분
        public string EMET_CLS_NM { get; set; } // 납품방법구분명
        public string EMETSUB_CLS { get; set; } // 납품방법상세구분
        public string EMETSUB_CLS_NM { get; set; } // 납품방법상세구분명
        public string REQ_POSI { get; set; } // 납품장소
        public string REMK { get; set; } // 비고
        public string SND_YN { get; set; } // 발송여부
        public string COM_YN { get; set; } // 완료여부
        public string DEL_YN { get; set; } // 삭제여부
        public int EDIR_SQ { get; set; } // 출고지시순번(B)
        public string ITEM_CD { get; set; } // 제품코드(B)
        public string ITEM_NM { get; set; } // 제품코드명
        public string ITEM_SIZE { get; set; } // 규격
        public string SUB_SIZE { get; set; } // 하위규격
        public string TEAM_CLS { get; set; } // 관리팀
        public string TEAM_CLS_NM { get; set; } // 관리팀명
        public string ITEMM_CLS { get; set; } // 제품구분
        public string ITEMM_CLS_NM { get; set; } // 제품구분명
        public decimal QTY { get; set; } // 수량(B)
        public decimal UPR { get; set; } // 단가(B)
        public decimal AMT { get; set; } // 금액(B)
        public string RORD_NO { get; set; } // 수주번호 (조인금지) (B)
        public int RORD_SQ { get; set; } // 수주순번 (조인금지) (B)
        public string EOUT_DT { get; set; } // 납품일자
        public string EOUT_TM { get; set; } // 납품시간
        public string EOUT_TM_CLS { get; set; } // 납품시간구분
    }
}
