﻿using FactPDA.Models;
using FactPOP.Win.Utils;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace FactPDA.ViewModels
{
    public class BaseViewModel : INotifyPropertyChanged
    {
        bool isBusy = false;
        public bool IsBusy
        {
            get { return isBusy; }
            set { SetProperty(ref isBusy, value); }
        }

        string title = string.Empty;
        public string Title
        {
            get { return title; }
            set { SetProperty(ref title, value); }
        }

        bool isDBOK = false;
        public bool IsDBOK
        {
            get { return isDBOK; }
            set { SetProperty(ref isDBOK, value); }
        }

        int cntDBCOUNT = 0;
        public int CntDBCOUNT
        {
            get { return cntDBCOUNT; }
            set { SetProperty(ref cntDBCOUNT, value); }
        }

        string errMESSAGE = "";
        public string ErrMESSAGE
        {
            get { return errMESSAGE; }
            set { SetProperty(ref errMESSAGE, value); }
        }


        protected bool SetProperty<T>(ref T backingStore, T value,
            [CallerMemberName]string propertyName = "",
            Action onChanged = null)
        {
            if (EqualityComparer<T>.Default.Equals(backingStore, value))
                return false;

            backingStore = value;
            onChanged?.Invoke();
            OnPropertyChanged(propertyName);
            return true;
        }

        public BaseViewModel()
        {
        }

        public void Update()
        {
            OnPropertyChanged();
        }
 
        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged([CallerMemberName] string propertyName = "")
        {
            var changed = PropertyChanged;
            if (changed == null)
                return;

            changed.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion
    }
}
