﻿using FactPOP.Models;
using FactPOP.Win.Utils;
using FactPDA.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data;
using System.Diagnostics;
using System.Threading.Tasks;
using Xamarin.Forms;
using static FactPDA.CodeHelp;


namespace FactPDA.ViewModels
{
    /// <summary>
    /// 작업지시서조회
    /// </summary>
    public class MB020100ViewModel : BaseViewModel
    {
        // 리스트 데이터 선언
        public ObservableCollection<MB020100> Items { get; set; }
        // 라인구분
        public ObservableCollection<CODEHELP_CODE> CODEHELP_LINE_CLS10_Items { get; set; }
        // 라인구분
        public ObservableCollection<CODEHELP_CODE> CODEHELP_LINE_CLS20_Items { get; set; }
        // 공정코드
        public ObservableCollection<CODEHELP_CODE> CODEHELP_PROC_CD_Items { get; set; }

        // 선택값보관
        public String PDIR_NO_SQ;

        // 조회 명령 선언
        public Command LoadItemsCommand { get; set; }

        // 선택값 저장
        MB020100 _SelectedItem = new MB020100();
        public MB020100 SelectedItem
        {
            get { return _SelectedItem; }
            set { SetProperty(ref _SelectedItem, value); }
        }

        CODEHELP_CODE _Selected_LINE_CLS10 = new CODEHELP_CODE();
        public CODEHELP_CODE Selected_LINE_CLS10
        {
            get { return _Selected_LINE_CLS10; }
            set { SetProperty(ref _Selected_LINE_CLS10, value); }
        }

        CODEHELP_CODE _Selected_LINE_CLS20 = new CODEHELP_CODE();
        public CODEHELP_CODE Selected_LINE_CLS20
        {
            get { return _Selected_LINE_CLS20; }
            set { SetProperty(ref _Selected_LINE_CLS20, value); }
        }

        CODEHELP_CODE _Selected_PROC_CD = new CODEHELP_CODE();
        public CODEHELP_CODE Selected_PROC_CD
        {
            get { return _Selected_PROC_CD; }
            set { SetProperty(ref _Selected_PROC_CD, value); }
        }

        // 생성자
        public MB020100ViewModel()
        {
            Title = "작업지시서조회";

            // 코드헬프 처리
            CODEHELP_LINE_CLS10_Items = new ObservableCollection<CODEHELP_CODE>();
            DataTable dtLINE_CLS10 = CodeHelp.FindList(CodeHelpTypeEnum.GetMbCd4000mLineCls, GlobalVar.CorpCd, "PM2040", "10");
            DataRow drCLS10 = dtLINE_CLS10.NewRow();
            drCLS10[0] = "";
            drCLS10[1] = "전체선택";
            dtLINE_CLS10.Rows.InsertAt(drCLS10, 0);
            CODEHELP_LINE_CLS10_Items.SetDataTableModel<CODEHELP_CODE>(dtLINE_CLS10);

            CODEHELP_LINE_CLS20_Items = new ObservableCollection<CODEHELP_CODE>();
            DataTable dtLINE_CLS20 = CodeHelp.FindList(CodeHelpTypeEnum.GetMbCd4000mLineCls, GlobalVar.CorpCd, "PM2040", "20");
            DataRow drCLS20 = dtLINE_CLS20.NewRow();
            drCLS20[0] = "";
            drCLS20[1] = "전체선택";
            dtLINE_CLS20.Rows.InsertAt(drCLS20, 0);
            CODEHELP_LINE_CLS20_Items.SetDataTableModel<CODEHELP_CODE>(dtLINE_CLS20);

            CODEHELP_PROC_CD_Items = new ObservableCollection<CODEHELP_CODE>();
            DataTable dtPROC_CD = CodeHelp.FindList(CodeHelpTypeEnum.GetMbCd4000mProcCd, GlobalVar.CorpCd);
            DataRow drPROC_CD = dtPROC_CD.NewRow();
            drPROC_CD[0] = "";
            drPROC_CD[1] = "전체선택";
            dtPROC_CD.Rows.InsertAt(drPROC_CD, 0);
            CODEHELP_PROC_CD_Items.SetDataTableModel<CODEHELP_CODE>(dtPROC_CD);


            // 데이터 조회
            Items = new ObservableCollection<MB020100>();
            LoadItemsCommand = new Command(() => ExecuteLoadItemsCommand());
        }

        // 데이터 조회
        public void ExecuteLoadItemsCommand()
        {
            if (IsBusy)
                return;

            IsBusy = true;
            //조회를 하면 선택값 초기화
            SelectedItem.IsSelected = false;
            try
            {
                Items.Clear();
                List<SendDataV2> list = new List<SendDataV2>();

                // 조회
                list.Add(new SendDataV2("USP_MB210100L10_A10", new DataTable().RowAdd()
                    .DataTableColumnInputData("R_CRUD", "R10")
                    .DataTableColumnInputData("V_PDIR_STDT", SelectedItem.PDIR_STDT)
                    .DataTableColumnInputData("V_PDIR_ENDT", SelectedItem.PDIR_ENDT)
                    .DataTableColumnInputData("V_MSECT_CD", SelectedItem.MSECT_CD)
                    .DataTableColumnInputData("V_LINE_CLS", SelectedItem.LINE_CLS)
                    .DataTableColumnInputData("V_PROC_CD", SelectedItem.PROC_CD)
                ));

                ReturnData rtn = DataCommon.ProcCall(list);
                if (rtn.success)
                {
                    DataTable table = rtn.data.GetData(0);
                    Items.SetDataTableModel<MB020100>(table);
                    CntDBCOUNT = table.Rows.Count;
                }
            }
            catch (Exception ex)
            {
                ErrMESSAGE = ex.Message;
            }
            finally
            {
                IsBusy = false;
            }
        }
    }
}
